### Function

# GObject type_default_interface_ref

deprecated: 2.84 since: 2.4

#### Declaration [src]

    GObjectTypeInterface*
    g_type_default_interface_ref (
      GType g_type
    )

#### Description [src]

Increments the reference count for the interface type `g_type`, and returns the default interface vtable for the type.

If the type is not currently in use, then the default vtable for the type will be created and initialized by calling the base interface init and default vtable init functions for the type (the `base_init` and `class_init` members of `GTypeInfo`). Calling `g_type_default_interface_ref()` is useful when you want to make sure that signals and properties for an interface have been installed.

Available since: 2.4

Deprecated since: 2.84

Use `g_type_default_interface_get()` instead.

#### Parameters

`g_type`

  Type: `GType`

  An interface type.

#### Return value

Type: `GTypeInterface`

The default vtable for the interface; call `g_type_default_interface_unref()` when you are done using the interface.

The data is owned by the called function.